Bug 159278 - Kernel panic after removing FireWire DVD unit
Kernel panic after removing FireWire DVD unit
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-06-01 06:57 EDT by David Balažic
Modified: 2015-01-04 17:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 09:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Balažic 2005-06-01 06:57:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
After dettaching an external DVD burner, the kernel panics.
This happens about 10 seconds after the removal.

The message is :

ieee1394: sbp2: aborting sbp2 command
scsi1 : destination target 0, lun 0
Kernel panic - not syncing: drivers/ieee1394/sbp2.c:508: spin_is_locked on uninitialized spinlock e6db4c48. (Not tainted)

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1226_FC4 i686

How reproducible:

Steps to Reproduce:
1. unplug the DVD burner

Actual Results:  kernel panic

Expected Results:  no kernel panic

Additional info:

The DVD unit is an LG GSA-4163B with firmware A104
in an external enclusire with a Prolific 3507 chip. Latest firmware.

FW port is on motherboard : Gigabyte GA-7 VAXP Ultra (VIA KT400 , VIA 8235, VIA VT6306 IEEE1394 controller )
Comment 1 Dave Jones 2005-06-27 19:13:13 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done

Comment 2 Dave Jones 2005-07-15 17:04:03 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak

Thank you.
Comment 3 Dave Jones 2005-09-30 02:03:33 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel ( As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Comment 4 Dave Jones 2005-11-10 13:59:32 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Dave Jones 2006-02-03 01:26:33 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 09:48:34 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.